Subject: bug#17970: log-edit creates unwanted ChangeLog buffers

From: Stefan Monnier <[email-masked]>
Date: Wed, 09 Jul 2014 18:22:12 -0400

>> I installed the patch below which seems to fix this problem.
> Thanks.
> I'm still going to find it a bit irritating when the file _does_ exist.

Indeed for those very projects that don't use a ChangeLog but do
auto-generate one, it could be a bit annoying.  But I don't think it's
a very serious issue.

> Why can't it use hidden buffers?
> Is it in case you have edited but not saved the ChangeLog?

Yes.

> If so, could it use (or (find-buffer-visiting ...) <hidden buffer>)?

It could do that, indeed.  Or it could kill the buffer at the end if the
buffer didn't exist earlier.  It seems more trouble than it's
worth, tho.

        Stefan